#
# spec file for package vlc
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Dominique Leuenberger, Amsterdam, The Netherlands
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define BUILD_ORIG 1
%define pulseplugin 0%{suse_version} > 1130
%define withxcb 0%{suse_version} > 1131
%define libvlc 5
%define libvlccore 5
%define conflicts vlc-beta

# Currently no ncurses support. Will have to find the right trick for integrating curses (which is a curse)
%define with_ncurses 0

Summary:        VLC - Video Lan Client
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players	
Name:           vlc
Version:        2.0.8
Release:        130.18
%define _version 2.0.8
Source:         http://download.videolan.org/vlc/%{_version}/vlc-%{_version}.tar.xz
Patch1:         fix_font_path.patch
Patch3:         0001-no-return-in-non-void.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  aalib-devel
BuildRequires:  alsa-devel
BuildRequires:  avahi-devel
BuildRequires:  fdupes
BuildRequires:  flac-devel
%if 0%{?suse_version} >= 1200
BuildRequires:  fluidsynth-devel
%endif
BuildRequires:  freetype2-devel
BuildRequires:  fribidi-devel
BuildRequires:  gcc-c++
%if 0%{?suse_version} >= 1140
BuildRequires:  gdk-pixbuf-devel
%endif
BuildRequires:  gettext-devel
BuildRequires:  git
BuildRequires:  gnome-vfs2-devel
BuildRequires:  gnutls-devel
BuildRequires:  gtk2-devel
BuildRequires:  libass-devel
BuildRequires:  libavc1394-devel
BuildRequires:  libbluray-devel
BuildRequires:  libcaca-devel
BuildRequires:  libcddb-devel
BuildRequires:  libcdio-devel
%if 0%suse_version < 1140
BuildRequires:  libdc1394_control12-devel
%endif
BuildRequires:  libdc1394-devel
BuildRequires:  libdvbpsi-devel < 1.0
BuildRequires:  libdvdnav-devel
BuildRequires:  libdvdread-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libjack-devel
BuildRequires:  libkate-devel
BuildRequires:  libmatroska-devel
BuildRequires:  libmodplug-devel
BuildRequires:  libmtp-devel
BuildRequires:  libnotify-devel
BuildRequires:  libogg-devel
BuildRequires:  libopus-devel
%if 0%{suse_version} >= 1120
BuildRequires:  libproxy-devel
%endif
BuildRequires:  libqt4-devel
BuildRequires:  libraw1394-devel
BuildRequires:  librsvg-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libshout-devel
BuildRequires:  libsmbclient-devel
BuildRequires:  libtheora-devel
BuildRequires:  libtool
%if 0%{suse_version} > 1100 
BuildRequires:  libudev-devel
%endif
BuildRequires:  libupnp-devel
%if 0%{?suse_version} > 1130
BuildRequires:  libv4l-devel
%endif
%if 0%{?suse_version} > 1130
BuildRequires:  libva-devel
%endif
BuildRequires:  libvorbis-devel
BuildRequires:  libxml2-devel
BuildRequires:  lirc-devel
BuildRequires:  live555-devel
%if 0%{?suse_version} >= 1220
BuildRequires:  lua51-devel
%else
BuildRequires:  lua-devel
%endif
BuildRequires:  Mesa-devel
%if %{?with_ncurses}
BuildRequires:  ncurses-devel
%endif
BuildRequires:  pcre-devel
BuildRequires:  pulseaudio-devel
BuildRequires:  schroedinger-devel
%if 0%{suse_version} < 1120
BuildRequires:  SDL-devel
%else
BuildRequires:  libSDL-devel
%endif
BuildRequires:  slang-devel
BuildRequires:  speex-devel
BuildRequires:  taglib-devel
BuildRequires:  vcdimager-devel
BuildRequires:  xosd-devel
BuildRequires:  zvbi-devel
# This is intentionally done the pkgconfig way: 3rd party repos might have alternative implementations
# and can favor one over the other.
BuildRequires:  pkgconfig(libswscale)

# BuildRequires that are not actively used for VLC, but for the build itself to work smoothly
BuildRequires:  findutils
BuildRequires:  update-desktop-files
BuildRequires:  xz
# Those are dependencies which are NOT provided in openSUSE, mostly for legal reasons.
%if 0%{?BUILD_ORIG}
BuildRequires:  faad2-devel
BuildRequires:  liba52-devel
BuildRequires:  libdca-devel
BuildRequires:  libfaac-devel
BuildRequires:  libffmpeg-devel
BuildRequires:  libmad-devel
BuildRequires:  libmpeg2-devel
BuildRequires:  libtwolame-devel
BuildRequires:  libx264-devel
BuildRequires:  libxvidcore-devel
%endif

Requires:       %{name}-noX = %{version}-%{release}
Requires:       %{name}-qt = %{version}-%{release}
Conflicts:      %{conflicts}

%description
VLC media player is a highly portable multimedia player for various 
audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...) 
as well as DVDs, VCDs, and various streaming protocols. 
It can also be used as a server to stream in unicast or multicast 
in IPv4 or IPv6 on a high-bandwidth network.

%package devel
Summary:        VLC Development system
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Those development headers are required if you plan on coding against VLC

%package -n libvlc%{libvlc}
Summary:        Shared library libvlc
Group:          System/Libraries

%description -n libvlc%{libvlc}
Shared library libvlc. To be installed by system dependencies

%package -n libvlccore%{libvlccore}
Summary:        Shared library libvlc
Group:          System/Libraries

%description -n libvlccore%{libvlccore}
Shared library libvlc. To be installed by system dependencies

%package noX
Summary:        VLC: VideoLAN Client - without X dependencies
Group:          Productivity/Multimedia/Video/Players
Requires:       libvlc%{libvlc} = %{version}-%{release}
Requires:       libvlccore%{libvlccore} = %{version}-%{release}
Conflicts:      %{conflicts}-noX
Recommends:     libdvdcss

%description noX
This Package of VLC contains the bare requirements you need to install.
Here is no graphical User Interface included, thus it's also perfectly
suitable for server installations (Streaming Server for example)

Should you decide to install the GUI modules, %{name}-noX will stay
installed as a dependency.

%if 0%{?BUILD_ORIG}
%package codecs
Summary:        VLC: VideoLAN Client - Codec extension
Group:          Productivity/Multimedia/Video/Players
Requires:       vlc-noX = %{version}
Supplements:    vlc-noX

%description codecs
This Package enhances the functionality of the VLC VideoLAN Client with
Codecs that are not available in a stock openSUSE distribution.
%endif

%package qt
Summary:        VLC: VideoLAN Client - Qt interface
Group:          Productivity/Multimedia/Video/Players
Supplements:    packageand(%{name}-noX:libqt4)
Requires:       %{name}-noX = %{version}-%{release}
Conflicts:      %{conflicts}-qt

%description qt
The all new Qt interface for the VLC VideoLAN Client.

%package gnome
Summary:        VLC: VideoLAN Client - Gnome Access Modules
Group:          Productivity/Multimedia/Video/Players
Supplements:    packageand(%{name}-noX:gnome-vfs2)
Requires:       %{name}-noX = %{version}-%{release}
Conflicts:      %{conflicts}-gnome

%description gnome
In order to integrate flawless into GNOME, there are some access modules
for gnome-vfs2.

%if 0%{pulseplugin}
%package aout-pulse
Summary:        VLC Audio Out for Pulse Audio
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}
Supplements:    packageand(%{name}-noX:pulseaudio)
Requires:       %{name}-noX = %{version}-%{release}
Conflicts:      %{conflicts}-aout-pulse

%description aout-pulse
Extends VLC with Pulse Audio Support for Audio Out
%endif

%prep
echo '********* ENTERED PREP PHASE ********'
date
%setup -q -n %{name}-%{_version}
%patch1 -p1
%patch3 -p1
rm -rf contrib
echo '********* ENDED PREP PHASE *********'
date

%build 
echo '********* BOOTSTRAPPING *********'
date
export CFLAGS="%{optflags} -L%{_libdir}/live -msse"
export CXXFLAGS="%{optflags} -L%{_libdir}/live -msse"
#./bootstrap
%configure \
   --disable-dependency-tracking        \
   --enable-aa                          \
   --enable-alsa                        \
%if 0%{?suse_version} > 1120
   --enable-dvbpsi                      \
%endif
   --enable-dvdnav                      \
   --enable-dvdread                     \
   --enable-fast-install                \
   --enable-flac                        \
   --enable-freetype                    \
   --enable-fribidi                     \
   --enable-glx                         \
   --enable-gnomevfs                    \
   --enable-gnutls                      \
   --enable-httpd                       \
   --enable-jack                        \
   --enable-kate                        \
   --enable-libass                      \
   --enable-libcddb                     \
%if 0%{suse_version} >= 1120
   --enable-libproxy                    \
%endif
   --enable-lirc                        \
   --enable-swscale                     \
   --enable-live555                     \
%if 0%{?BUILD_ORIG}
   --enable-libmpeg2                    \
   --enable-mad                         \
   --enable-avcodec                     \
   --enable-postproc                    \
   --enable-faad                        \
   --enable-a52                         \
   --enable-dca                         \
%else
   --disable-libmpeg2                   \
   --disable-mad                        \
   --disable-avcodec                    \
   --disable-postproc                   \
   --disable-faad                       \
   --disable-a52                        \
   --disable-dca                        \
%endif
   --enable-lua                         \
   --enable-mkv                         \
   --enable-mod                         \
%if %{?with_ncurses}
   --enable-ncurses                     \
%else
    --disable-ncurses                   \
%endif
   --enable-ogg                         \
   --enable-optimizations               \
   --enable-opus                        \
   --enable-oss                         \
   --enable-png                         \
%if 0%{pulseplugin}
   --enable-pulse                       \
%endif
   --enable-pvr                         \
   --enable-real                        \
   --enable-realrtsp                    \
   --enable-smb                         \
   --enable-sout                        \
   --enable-speex                       \
   --enable-taglib                      \
   --enable-theora                      \
%if 0%{?suse_version} > 1130
   --enable-v4l2                        \
%else
   --disable-libv4l2                    \
%endif
   --enable-vcd                         \
   --enable-vcdx                        \
   --enable-visual                      \
   --enable-vorbis                      \
   --enable-waveout                     \
%if 0%{?withxcb}
   --enable-xcb                         \
%else
   --disable-xcb                        \
%endif
   --enable-xvideo                     
echo '********* FINISHED CONFIGURE *********'
date
%{__make} %{?jobs:-j %jobs} V=1

%install
echo '********* ENTERED INSTALL PHASE *********'
date
%makeinstall
mkdir -p %{buildroot}/%{_datadir}/pixmaps
ln -s %{_datadir}/icons/hicolor/48x48/apps/vlc.png %{buildroot}/%{_datadir}/pixmaps/vlc.png
find %{buildroot} -name *.la -delete
%suse_update_desktop_file vlc AudioPlayer VideoPlayer Player
%fdupes %{buildroot}%{_datadir}/vlc

# clean up some lang issues...
for lang in ach cgg ff kmr; do
  rm -rf %{buildroot}%{_datadir}/locale/$lang
done
%find_lang vlc

%clean
rm -rf "$RPM_BUILD_ROOT"

%files 
%defattr(-,root,root)
%{_bindir}/svlc
%{_datadir}/applications/vlc.desktop
%{_datadir}/pixmaps/vlc.png
%{_datadir}/icons/hicolor/*/apps/vlc*
%dir %{_datadir}/kde4
%dir %{_datadir}/kde4/apps
%{_datadir}/kde4/apps/solid
%if 0%{?suse_version} > 1130
%{_libdir}/vlc/plugins/codec/liblibass_plugin.so
%endif
%{_libdir}/vlc/plugins//notify/libnotify_plugin.so
%{_libdir}/vlc/plugins//video_filter/libremoteosd_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libfreetype_plugin.so
%if 0%{withxcb}
%{_libdir}/vlc/plugins/video_filter/libpanoramix_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_glx_plugin.so
%endif
%{_libdir}/vlc/plugins/video_output/libaa_plugin.so

%files noX -f vlc.lang
%defattr(-,root,root)
%doc %{_datadir}/doc/vlc/
%doc NEWS AUTHORS COPYING THANKS README 
%{_bindir}/cvlc
%if %{?with_ncurses}
%{_bindir}/nvlc
%endif
%{_bindir}/rvlc
%{_bindir}/vlc
%{_bindir}/vlc-wrapper
%{_datadir}/vlc/
%if 0%{?suse_version} <= 1130
%dir %{_datadir}/locale/co
%dir %{_datadir}/locale/co/LC_MESSAGES
%endif
%if 0%{?suse_version} <= 1140
 %dir %{_datadir}/locale/tet
 %dir %{_datadir}/locale/tet/LC_MESSAGES
%endif
%{_mandir}/*/vlc*
# Own the file.. but it's an auto-generated file, so ghost it.
%ghost %{_libdir}/vlc/plugins/plugins.dat
%dir %{_libdir}/vlc
%dir %{_libdir}/vlc/lua
%dir %{_libdir}/vlc/lua/intf
%dir %{_libdir}/vlc/lua/intf/modules
%dir %{_libdir}/vlc/lua/meta
%dir %{_libdir}/vlc/lua/meta/art
%dir %{_libdir}/vlc/lua/meta/fetcher
%dir %{_libdir}/vlc/lua/meta/reader
%dir %{_libdir}/vlc/lua/modules
%dir %{_libdir}/vlc/lua/playlist
%dir %{_libdir}/vlc/lua/sd
%dir %{_libdir}/vlc/plugins
%dir %{_libdir}/vlc/plugins/3dnow
%dir %{_libdir}/vlc/plugins/access
%dir %{_libdir}/vlc/plugins/access_output
%dir %{_libdir}/vlc/plugins/audio_filter
%dir %{_libdir}/vlc/plugins/audio_mixer
%dir %{_libdir}/vlc/plugins/audio_output
%dir %{_libdir}/vlc/plugins/codec
%dir %{_libdir}/vlc/plugins/control
%dir %{_libdir}/vlc/plugins/demux
%dir %{_libdir}/vlc/plugins/gui
%dir %{_libdir}/vlc/plugins/lua
%dir %{_libdir}/vlc/plugins/meta_engine
%dir %{_libdir}/vlc/plugins/misc
%dir %{_libdir}/vlc/plugins/mmx
%dir %{_libdir}/vlc/plugins/mmxext
%dir %{_libdir}/vlc/plugins/mux
%dir %{_libdir}/vlc/plugins/notify
%dir %{_libdir}/vlc/plugins/packetizer
%dir %{_libdir}/vlc/plugins/services_discovery
%dir %{_libdir}/vlc/plugins/sse2
%dir %{_libdir}/vlc/plugins/stream_filter
%dir %{_libdir}/vlc/plugins/stream_out
%dir %{_libdir}/vlc/plugins/text_renderer
%dir %{_libdir}/vlc/plugins/video_chroma
%dir %{_libdir}/vlc/plugins/video_filter
%dir %{_libdir}/vlc/plugins/video_output
%dir %{_libdir}/vlc/plugins/visualization
# Files explicitly listed... so we are in full control of what goes to -noX, -codec or the X-depending pkg.
%{_libdir}/vlc/vlc-cache-gen
%{_libdir}/vlc/lua/intf/cli.luac
%{_libdir}/vlc/lua/intf/dummy.luac
%{_libdir}/vlc/lua/intf/dumpmeta.luac
%{_libdir}/vlc/lua/intf/hotkeys.luac
%{_libdir}/vlc/lua/intf/http.luac
%{_libdir}/vlc/lua/intf/luac.luac
%{_libdir}/vlc/lua/intf/modules/common.luac
%{_libdir}/vlc/lua/intf/modules/host.luac
%{_libdir}/vlc/lua/intf/modules/httprequests.luac
%{_libdir}/vlc/lua/intf/telnet.luac
%{_libdir}/vlc/lua/meta/art/00_musicbrainz.luac
%{_libdir}/vlc/lua/meta/art/01_googleimage.luac
%{_libdir}/vlc/lua/meta/art/02_frenchtv.luac
%{_libdir}/vlc/lua/meta/art/03_lastfm.luac
%{_libdir}/vlc/lua/meta/fetcher/tvrage.luac
%{_libdir}/vlc/lua/meta/reader/filename.luac
%{_libdir}/vlc/lua/modules/dkjson.luac
%{_libdir}/vlc/lua/modules/sandbox.luac
%{_libdir}/vlc/lua/modules/simplexml.luac
%{_libdir}/vlc/lua/playlist/anevia_streams.luac
%{_libdir}/vlc/lua/playlist/anevia_xml.luac
%{_libdir}/vlc/lua/playlist/appletrailers.luac
%{_libdir}/vlc/lua/playlist/bbc_co_uk.luac
%{_libdir}/vlc/lua/playlist/break.luac
%{_libdir}/vlc/lua/playlist/canalplus.luac
%{_libdir}/vlc/lua/playlist/cue.luac
%{_libdir}/vlc/lua/playlist/dailymotion.luac
%{_libdir}/vlc/lua/playlist/extreme.luac
%{_libdir}/vlc/lua/playlist/france2.luac
%{_libdir}/vlc/lua/playlist/googlevideo.luac
%{_libdir}/vlc/lua/playlist/jamendo.luac
%{_libdir}/vlc/lua/playlist/joox.luac
%{_libdir}/vlc/lua/playlist/katsomo.luac
%{_libdir}/vlc/lua/playlist/koreus.luac
%{_libdir}/vlc/lua/playlist/lelombrik.luac
%{_libdir}/vlc/lua/playlist/metacafe.luac
%{_libdir}/vlc/lua/playlist/metachannels.luac
%{_libdir}/vlc/lua/playlist/mpora.luac
%{_libdir}/vlc/lua/playlist/pinkbike.luac
%{_libdir}/vlc/lua/playlist/pluzz.luac
%{_libdir}/vlc/lua/playlist/rockbox_fm_presets.luac
%{_libdir}/vlc/lua/playlist/soundcloud.luac
%{_libdir}/vlc/lua/playlist/vimeo.luac
%{_libdir}/vlc/lua/playlist/youtube.luac
%{_libdir}/vlc/lua/playlist/youtube_homepage.luac
%{_libdir}/vlc/lua/playlist/zapiks.luac
%{_libdir}/vlc/lua/sd/fmc.luac
%{_libdir}/vlc/lua/sd/freebox.luac
%{_libdir}/vlc/lua/sd/icecast.luac
%{_libdir}/vlc/lua/sd/jamendo.luac
%{_libdir}/vlc/lua/sd/metachannels.luac
%{_libdir}/vlc/plugins/3dnow/libmemcpy3dn_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_alsa_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_attachment_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_bd_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_dv_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_ftp_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_http_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_imem_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_jack_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_mms_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_mtp_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_oss_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_rar_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_realrtsp_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_shm_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_smb_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_tcp_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_udp_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_vdr_plugin.so
%{_libdir}/vlc/plugins/access/libcdda_plugin.so
%{_libdir}/vlc/plugins/access/libdc1394_plugin.so
%{_libdir}/vlc/plugins/access/libdtv_plugin.so
%{_libdir}/vlc/plugins/access/libdvdnav_plugin.so
%{_libdir}/vlc/plugins/access/libdvdread_plugin.so
%{_libdir}/vlc/plugins/access/libfilesystem_plugin.so
%{_libdir}/vlc/plugins/access/libidummy_plugin.so
%{_libdir}/vlc/plugins/access/liblibbluray_plugin.so
%{_libdir}/vlc/plugins/access/liblinsys_hdsdi_plugin.so
%{_libdir}/vlc/plugins/access/liblinsys_sdi_plugin.so
%{_libdir}/vlc/plugins/access/libpulsesrc_plugin.so
%{_libdir}/vlc/plugins/access/libpvr_plugin.so
%{_libdir}/vlc/plugins/access/librtp_plugin.so
%{_libdir}/vlc/plugins/access/libsdp_plugin.so
%{_libdir}/vlc/plugins/access/libstream_filter_rar_plugin.so
%{_libdir}/vlc/plugins/access/libv4l2_plugin.so
%{_libdir}/vlc/plugins/access/libvcd_plugin.so
%{_libdir}/vlc/plugins/access/libvcdx_plugin.so
%{_libdir}/vlc/plugins/access/libxcb_screen_plugin.so
%{_libdir}/vlc/plugins/access/libzip_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_dummy_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_file_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_http_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_livehttp_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_shout_plugin.so
%{_libdir}/vlc/plugins/access_output/libaccess_output_udp_plugin.so
%{_libdir}/vlc/plugins/audio_filter/liba52tospdif_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libaudio_format_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libaudiobargraph_a_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libchorus_flanger_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libcompressor_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libconverter_fixed_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libdolby_surround_decoder_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libdtstospdif_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libequalizer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libheadphone_channel_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libkaraoke_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libmono_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libnormvol_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libparam_eq_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libsamplerate_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libscaletempo_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libsimple_channel_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libspatializer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libspeex_resampler_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libtrivial_channel_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libugly_resampler_plugin.so
%{_libdir}/vlc/plugins/audio_mixer/libfixed32_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_mixer/libfloat32_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_output/libadummy_plugin.so
%{_libdir}/vlc/plugins/audio_output/libalsa_plugin.so
%{_libdir}/vlc/plugins/audio_output/libamem_plugin.so
%{_libdir}/vlc/plugins/audio_output/libaout_file_plugin.so
%{_libdir}/vlc/plugins/audio_output/libjack_plugin.so
%{_libdir}/vlc/plugins/audio_output/liboss_plugin.so
%{_libdir}/vlc/plugins/codec/liba52_plugin.so
%{_libdir}/vlc/plugins/codec/libadpcm_plugin.so
%{_libdir}/vlc/plugins/codec/libaes3_plugin.so
%{_libdir}/vlc/plugins/codec/libaraw_plugin.so
%{_libdir}/vlc/plugins/codec/libcc_plugin.so
%{_libdir}/vlc/plugins/codec/libcdg_plugin.so
%{_libdir}/vlc/plugins/codec/libcvdsub_plugin.so
%{_libdir}/vlc/plugins/codec/libddummy_plugin.so
%{_libdir}/vlc/plugins/codec/libdts_plugin.so
%{_libdir}/vlc/plugins/codec/libdvbsub_plugin.so
%{_libdir}/vlc/plugins/codec/libedummy_plugin.so
%{_libdir}/vlc/plugins/codec/libflac_plugin.so
%if 0%{suse_version} >= 1200
%{_libdir}/vlc/plugins/codec/libfluidsynth_plugin.so
%endif
%{_libdir}/vlc/plugins/codec/libkate_plugin.so
%{_libdir}/vlc/plugins/codec/liblpcm_plugin.so
%{_libdir}/vlc/plugins/codec/libmpeg_audio_plugin.so
%{_libdir}/vlc/plugins/codec/libopus_plugin.so
%{_libdir}/vlc/plugins/codec/libpng_plugin.so
%{_libdir}/vlc/plugins/codec/librawvideo_plugin.so
%{_libdir}/vlc/plugins/codec/librealvideo_plugin.so
%{_libdir}/vlc/plugins/codec/libschroedinger_plugin.so
%{_libdir}/vlc/plugins/codec/libspeex_plugin.so
%{_libdir}/vlc/plugins/codec/libspudec_plugin.so
%{_libdir}/vlc/plugins/codec/libstl_plugin.so
%{_libdir}/vlc/plugins/codec/libsubsdec_plugin.so
%{_libdir}/vlc/plugins/codec/libsubsusf_plugin.so
%{_libdir}/vlc/plugins/codec/libsvcdsub_plugin.so
%{_libdir}/vlc/plugins/codec/libt140_plugin.so
%{_libdir}/vlc/plugins/codec/libtelx_plugin.so
%{_libdir}/vlc/plugins/codec/libtheora_plugin.so
%{_libdir}/vlc/plugins/codec/libvorbis_plugin.so
%{_libdir}/vlc/plugins/codec/libzvbi_plugin.so
%{_libdir}/vlc/plugins/control/libdbus_plugin.so
%{_libdir}/vlc/plugins/control/libdummy_plugin.so
%{_libdir}/vlc/plugins/control/libgestures_plugin.so
%if 0%{?suse_version} < 1220
%{_libdir}/vlc/plugins/control/libglobalhotkeys_plugin.so
%endif
%{_libdir}/vlc/plugins/control/libhotkeys_plugin.so
%{_libdir}/vlc/plugins/control/liblirc_plugin.so
%{_libdir}/vlc/plugins/control/libmotion_plugin.so
%{_libdir}/vlc/plugins/control/libnetsync_plugin.so
%{_libdir}/vlc/plugins/control/liboldrc_plugin.so
%{_libdir}/vlc/plugins/demux/libaiff_plugin.so
%{_libdir}/vlc/plugins/demux/libasf_plugin.so
%{_libdir}/vlc/plugins/demux/libau_plugin.so
%{_libdir}/vlc/plugins/demux/libavi_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_cdg_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_stl_plugin.so
%{_libdir}/vlc/plugins/demux/libdemuxdump_plugin.so
%{_libdir}/vlc/plugins/demux/libdirac_plugin.so
%{_libdir}/vlc/plugins/demux/libes_plugin.so
%{_libdir}/vlc/plugins/demux/libflacsys_plugin.so
%{_libdir}/vlc/plugins/demux/libh264_plugin.so
%{_libdir}/vlc/plugins/demux/libimage_plugin.so
%{_libdir}/vlc/plugins/demux/liblive555_plugin.so
%{_libdir}/vlc/plugins/demux/libmjpeg_plugin.so
%{_libdir}/vlc/plugins/demux/libmkv_plugin.so
%{_libdir}/vlc/plugins/demux/libmod_plugin.so
%{_libdir}/vlc/plugins/demux/libmp4_plugin.so
%{_libdir}/vlc/plugins/demux/libmpgv_plugin.so
%{_libdir}/vlc/plugins/demux/libnsc_plugin.so
%{_libdir}/vlc/plugins/demux/libnsv_plugin.so
%{_libdir}/vlc/plugins/demux/libnuv_plugin.so
%{_libdir}/vlc/plugins/demux/libogg_plugin.so
%{_libdir}/vlc/plugins/demux/libplaylist_plugin.so
%{_libdir}/vlc/plugins/demux/libps_plugin.so
%{_libdir}/vlc/plugins/demux/libpva_plugin.so
%{_libdir}/vlc/plugins/demux/librawaud_plugin.so
%{_libdir}/vlc/plugins/demux/librawdv_plugin.so
%{_libdir}/vlc/plugins/demux/librawvid_plugin.so
%{_libdir}/vlc/plugins/demux/libreal_plugin.so
%{_libdir}/vlc/plugins/demux/libsmf_plugin.so
%{_libdir}/vlc/plugins/demux/libsubtitle_plugin.so
%{_libdir}/vlc/plugins/demux/libts_plugin.so
%{_libdir}/vlc/plugins/demux/libtta_plugin.so
%{_libdir}/vlc/plugins/demux/libty_plugin.so
%{_libdir}/vlc/plugins/demux/libvc1_plugin.so
%{_libdir}/vlc/plugins/demux/libvobsub_plugin.so
%{_libdir}/vlc/plugins/demux/libvoc_plugin.so
%{_libdir}/vlc/plugins/demux/libwav_plugin.so
%{_libdir}/vlc/plugins/demux/libxa_plugin.so
%{_libdir}/vlc/plugins/gui/libskins2_plugin.so
%{_libdir}/vlc/plugins/lua/liblua_plugin.so
%{_libdir}/vlc/plugins/meta_engine/libfolder_plugin.so
%{_libdir}/vlc/plugins/meta_engine/libtaglib_plugin.so
%{_libdir}/vlc/plugins/misc/libaudioscrobbler_plugin.so
%{_libdir}/vlc/plugins/misc/libexport_plugin.so
%{_libdir}/vlc/plugins/misc/libgnutls_plugin.so
%{_libdir}/vlc/plugins/misc/libinhibit_plugin.so
%{_libdir}/vlc/plugins/misc/liblogger_plugin.so
%{_libdir}/vlc/plugins/misc/libmemcpy_plugin.so
%{_libdir}/vlc/plugins/misc/libosd_parser_plugin.so
%{_libdir}/vlc/plugins/misc/libstats_plugin.so
%{_libdir}/vlc/plugins/misc/libvod_rtsp_plugin.so
%{_libdir}/vlc/plugins/misc/libxdg_screensaver_plugin.so
%{_libdir}/vlc/plugins/misc/libxml_plugin.so
%{_libdir}/vlc/plugins/misc/libxscreensaver_plugin.so
%{_libdir}/vlc/plugins/mmx/libi420_rgb_mmx_plugin.so
%{_libdir}/vlc/plugins/mmx/libi420_yuy2_mmx_plugin.so
%{_libdir}/vlc/plugins/mmx/libi422_yuy2_mmx_plugin.so
%{_libdir}/vlc/plugins/mmx/libmemcpymmx_plugin.so
%{_libdir}/vlc/plugins/mmxext/libmemcpymmxext_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_asf_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_avi_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_dummy_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_mp4_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_mpjpeg_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_ogg_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_ps_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_ts_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_wav_plugin.so
%{_libdir}/vlc/plugins/notify/libtelepathy_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_copy_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_dirac_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_flac_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_h264_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mlp_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4audio_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4video_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpegvideo_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_vc1_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libbonjour_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libmediadirs_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libmtp_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libpodcast_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libpulselist_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libsap_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libudev_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libupnp_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libxcb_apps_plugin.so
%{_libdir}/vlc/plugins/sse2/libi420_rgb_sse2_plugin.so
%{_libdir}/vlc/plugins/sse2/libi420_yuy2_sse2_plugin.so
%{_libdir}/vlc/plugins/sse2/libi422_yuy2_sse2_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libdecomp_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libstream_filter_dash_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libstream_filter_httplive_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libstream_filter_record_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_autodel_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_bridge_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_delay_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_description_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_display_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_dummy_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_duplicate_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_es_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_gather_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_langfromtelx_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_mosaic_bridge_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_raop_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_record_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_rtp_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_select_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_setid_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_smem_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_standard_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_transcode_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libsvg_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libtdummy_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libgrey_yuv_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_rgb_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_yuy2_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_i420_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_yuy2_plugin.so
%{_libdir}/vlc/plugins/video_chroma/librv32_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuy2_i420_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuy2_i422_plugin.so
%{_libdir}/vlc/plugins/video_filter/libadjust_plugin.so
%{_libdir}/vlc/plugins/video_filter/libalphamask_plugin.so
%{_libdir}/vlc/plugins/video_filter/libantiflicker_plugin.so
%{_libdir}/vlc/plugins/video_filter/libatmo_plugin.so
%{_libdir}/vlc/plugins/video_filter/libaudiobargraph_v_plugin.so
%{_libdir}/vlc/plugins/video_filter/libball_plugin.so
%{_libdir}/vlc/plugins/video_filter/libblend_plugin.so
%{_libdir}/vlc/plugins/video_filter/libblendbench_plugin.so
%{_libdir}/vlc/plugins/video_filter/libbluescreen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcanvas_plugin.so
%{_libdir}/vlc/plugins/video_filter/libchain_plugin.so
%{_libdir}/vlc/plugins/video_filter/libclone_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcolorthres_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcroppadd_plugin.so
%{_libdir}/vlc/plugins/video_filter/libdeinterlace_plugin.so
%{_libdir}/vlc/plugins/video_filter/libdynamicoverlay_plugin.so
%{_libdir}/vlc/plugins/video_filter/liberase_plugin.so
%{_libdir}/vlc/plugins/video_filter/libextract_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgaussianblur_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgradfun_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgradient_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgrain_plugin.so
%{_libdir}/vlc/plugins/video_filter/libhqdn3d_plugin.so
%{_libdir}/vlc/plugins/video_filter/libinvert_plugin.so
%{_libdir}/vlc/plugins/video_filter/liblogo_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmagnify_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmarq_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmirror_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmosaic_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmotionblur_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmotiondetect_plugin.so
%{_libdir}/vlc/plugins/video_filter/libosdmenu_plugin.so
%{_libdir}/vlc/plugins/video_filter/libposterize_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpsychedelic_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpuzzle_plugin.so
%{_libdir}/vlc/plugins/video_filter/libripple_plugin.so
%{_libdir}/vlc/plugins/video_filter/librotate_plugin.so
%{_libdir}/vlc/plugins/video_filter/librss_plugin.so
%{_libdir}/vlc/plugins/video_filter/libscale_plugin.so
%{_libdir}/vlc/plugins/video_filter/libscene_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsepia_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsharpen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsubsdelay_plugin.so
%{_libdir}/vlc/plugins/video_filter/libswscale_plugin.so
%{_libdir}/vlc/plugins/video_filter/libtransform_plugin.so
%{_libdir}/vlc/plugins/video_filter/libwall_plugin.so
%{_libdir}/vlc/plugins/video_filter/libwave_plugin.so
%{_libdir}/vlc/plugins/video_filter/libyuvp_plugin.so
%{_libdir}/vlc/plugins/video_output/libcaca_plugin.so
%{_libdir}/vlc/plugins/video_output/libfb_plugin.so
%{_libdir}/vlc/plugins/video_output/libvdummy_plugin.so
%{_libdir}/vlc/plugins/video_output/libvmem_plugin.so
%{_libdir}/vlc/plugins/video_output/libvout_sdl_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_window_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_x11_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_xv_plugin.so
%{_libdir}/vlc/plugins/video_output/libyuv_plugin.so
%{_libdir}/vlc/plugins/visualization/libvisual_plugin.so

%if 0%{?BUILD_ORIG}
%files codecs
%defattr(-,root,root)
%{_libdir}/vlc/plugins/access/libaccess_avio_plugin.so
%{_libdir}/vlc/plugins/audio_filter/liba52tofloat32_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libdtstofloat32_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libmpgatofixed32_plugin.so
%{_libdir}/vlc/plugins/codec/libavcodec_plugin.so
%{_libdir}/vlc/plugins/codec/libdirac_plugin.so
%{_libdir}/vlc/plugins/codec/libfaad_plugin.so
%{_libdir}/vlc/plugins/codec/liblibmpeg2_plugin.so
%{_libdir}/vlc/plugins/codec/libtwolame_plugin.so
%{_libdir}/vlc/plugins/codec/libx264_plugin.so
%{_libdir}/vlc/plugins/demux/libavformat_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpostproc_plugin.so
%endif

%files -n libvlc%{libvlc}
%defattr(-,root,root)
%{_libdir}/libvlc.so.%{libvlc}*

%files -n libvlccore%{libvlccore}
%defattr(-,root,root)
%{_libdir}/libvlccore.so.%{libvlccore}*

%files qt
%defattr(-,root,root)
%{_bindir}/qvlc
%{_libdir}/vlc/plugins/gui/libqt4_plugin.so

%files gnome
%defattr(-,root,root)
%{_libdir}/vlc/plugins/access/libaccess_gnomevfs_plugin.so

%files devel
%defattr(-,root,root)
%{_includedir}/vlc/
%{_libdir}/libvlccore.so
%{_libdir}/libvlc.so
%{_libdir}/pkgconfig/libvlc.pc
%{_libdir}/pkgconfig/vlc-plugin.pc
#%{_bindir}/vlc-config

%if 0%{pulseplugin}
%files aout-pulse
%defattr(-,root,root)
%{_libdir}/vlc/plugins/audio_output/libpulse_plugin.so
%endif

%post -n %{name}-noX -p /sbin/ldconfig
%postun -n %{name}-noX -p /sbin/ldconfig

%post -n libvlc%{libvlc} -p /sbin/ldconfig
%postun -n libvlc%{libvlc} -p /sbin/ldconfig

%post -n libvlccore%{libvlccore} -p /sbin/ldconfig
%postun -n libvlccore%{libvlccore} -p /sbin/ldconfig

%changelog
* Mon Jul 29 2013 cs@linux-administrator.com
- update to 2.0.8
* Sat Jun 22 2013 cs@linux-administrator.com
- update to 2.0.7
* Fri May 31 2013 cs@linux-administrator.com
- re-import
